class LoadAllActivitiesJob < ApplicationJob
  def perform
    User.all.each do |user|
      begin
        next if user.logins.alive.empty?
        LoadUserActivitiesJob.perform_later(user)
        logger.info("Loading for #{user.id} scheduled")
      rescue StandardError => e
        Rails.logger.error("Loading for #{user.id} failed: #{e.class} - #{e.message}")
      end
    end
  end
end
